Page MenuHomePhabricator

Move browser test alerts to responsible teams' channels from -releng
Closed, ResolvedPublic

Description

In the overall effort to increase the distributed ownership of testing at WMF (and especially of browser test ownership) I would like us to move the browser test failure/fixed notifications to the relevant teams' channels and remove them from the -releng channel.

The last part of the sentence is potentially contentious, but I want to keep it. I want the onus to be on the teams writing the code, not a central "we'll maintain your tests for you" person/team. A pretty efficient way of doing that is to make them see the announcements and not have us (RelEng) respond to them immediately.

The next/related step is to make browser tests voting...

Event Timeline

greg raised the priority of this task from to Medium.
greg updated the task description. (Show Details)
greg added a project: Release-Engineering-Team.
greg added a subscriber: greg.

Is this done?

I haven't seen any gerrit patches fly by nor audited the config.

greg raised the priority of this task from Medium to High.
greg added a subscriber: Jdlrobson.

Setting to higher-than-normal (which means "high") due to conversation and email thread on the mobile list with @Jdlrobson

Change 201083 had a related patch set uploaded (by Zfilipin):
Notify Collaboration team of failing browser tests

https://gerrit.wikimedia.org/r/201083

hashar renamed this task from Move browser test alerts to responsible teams' channels from -releng to Move browser test alerts to responsible teams' channels from -releng (tracking).EditedApr 2 2015, 9:03 AM
hashar edited projects, added Tracking-Neverending; removed Patch-For-Review.
hashar added a subscriber: hashar.

Please disregard patch https://gerrit.wikimedia.org/r/201083 which changes the email notification for the collaboration team.

I have made this task a tracking bug. Please fill sub tasks as appropriate.

We have agreed this has no implementation opportunity for now. We need to figure out which browser tests belong to which team then work with each team to find which notification channels they want.

From the Browser-Tests weekly checkin: we need to list all browser tests jobs, find the team responsible for each and ask them their favorite notification channels / lists.

greg lowered the priority of this task from High to Medium.Sep 24 2015, 1:26 AM
zeljkofilipin renamed this task from Move browser test alerts to responsible teams' channels from -releng (tracking) to Move browser test alerts to responsible teams' channels from -releng.Sep 30 2015, 3:30 PM

@greg: I am trying to make sense of the huge Browser-Tests board. :/ Let's see if grouping tasks helps.

greg claimed this task.

The purpose of this task is mostly superseded by T134492, though I'd still like to reduce our spam in -releng. Resolving for now.